Subject: numeric magnitude with "gei"

From: [email-masked]
Date: Fri, 18 Oct 2002 18:41:04 EDT

Digest Number 37
Message: 1
Date: Sun, 13 Oct 2002 21:08:09 +0100
From: "And Rosta" <[email-masked]>
Subject: ji'i (was: RE: [lojban] Re: Usage deciding

Xorxes:
>...My problem with ji'i is its
> disruptive infixation. I don't believe it will be used as
> defined anyway, as it makes parsing numbers too hard. But given
> the outcry against {reji'ici} I will change to something like
> {ji'ireso'uci} for example, which is impeccably CLL.

Given the general way that the number grammar works, how would you
show the number of significant figures, or the portion of a number
that is approximate?

The official method with ji'i seems a good solution, and your
objection to it seems really to be a more general objection that
the overally magnitude of a number cannot be apprehended until
the entire number has been parsed. Maybe a cmavo to show that
the number is to be read with the digits in increasing order
of magnitude would solve that problem.

--And.

Digest Number 38
Message: 2
Date: Mon, 14 Oct 2002 09:17:18 -0400
From: Robert LeChevalier <[email-masked]>
Subject: Re: a number's magnitude

At 08:52 AM 10/14/02 -0400, [email-masked] wrote:
>In a message dated 2002-10-14 8:11:34 AM Eastern Daylight Time, 
>[email-masked] writes:
>And to xorxes (i think):
>>your
>>objection to it seems really to be a more general objection that
>>the overally magnitude of a number cannot be apprehended until
>>the entire number has been parsed.
>
>
>this has been one of my objections to loglan's/lojban's number system all 
>along, back before i even knew about lojban. i still don't like it. (not 
>a complaint to you; rather, thanks for pointing out so concisely what's 
>been bugging me for so long.)

Science came up with exponential notation to solve this problem, and we 
made sure to cover it. You can either do pure scientific notation, which 
uses MEX, or you can use Fortran notation, which is a string of mixed 
numbers and letters. papireci ebuma'umu = 1.23E+5 = 123000 (Lojban 
purists might use ty for tenfa instead of ebu for exponential, but the 
latter is Fortran standard. I've also seen forms of exponential notation 
that elide the plus as a default and only list a minus if one is needed.)

lojbab

Digest Number 39
Message: 1
Date: Tue, 15 Oct 2002 09:18:36 EDT
From: [email-masked]
Subject: magnitude

lojbab,
yes, of course, lojban can use scientific notation to mark the magnitude of a 

number, but the standard way of saying a number in lojban is to read off the 
digits, which does not mark the magnitude at all, until the whole number has 
been read. saying "hundred" or "million" is an indicator of the magnitude, 
and lojban has no normal equivalent for these.
steven

New:
I now believe that "gei" (CLL 18.14, pp. 451-452) pretty much answers my 
objections. lojbab, is this the MEX you were referring to?
On the use of "gei": Is a googolplex [i.e., 10 * (10 * 100)] = gei gei gei 
re?
Steven